FreeMat

- Main Page
- Related Pages

vtkPieceScalars

Section: Visualization Toolkit Parallel Classes

# Usage

vtkPieceScalars is meant to display which piece is being requested as scalar values. It is usefull for visualizing the partitioning for streaming or distributed pipelines.

To create an instance of class vtkPieceScalars, simply invoke its constructor as follows

      obj = vtkPieceScalars

# Methods

The class vtkPieceScalars has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPieceScalars class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPieceScalars = obj.NewInstance ()`
- `vtkPieceScalars = obj.SafeDownCast (vtkObject o)`
- `obj.SetScalarModeToCellData ()` - Option to centerate cell scalars of points scalars. Default is point scalars.
- `obj.SetScalarModeToPointData ()` - Option to centerate cell scalars of points scalars. Default is point scalars.
- `int = obj.GetScalarMode ()`
- `obj.SetRandomMode (int )`
- `int = obj.GetRandomMode ()`
- `obj.RandomModeOn ()`
- `obj.RandomModeOff ()`